Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.api.tasks.diagnostics
Class DependencyReportTask

    java.lang.Object
      org.gradle.api.internal.AbstractTask
          org.gradle.api.DefaultTask
              org.gradle.api.internal.ConventionTask
                  org.gradle.api.tasks.diagnostics.AbstractReportTask
                      org.gradle.api.tasks.diagnostics.DependencyReportTask

All Implemented Interfaces:
  groovy.lang.GroovyObject, java.lang.Comparable<Task>, org.gradle.api.internal.IConventionAware, org.gradle.api.internal.TaskInternal, Task

    public class DependencyReportTask

extends AbstractReportTask

The `DependencyReportTask` displays the dependency tree for a project. Can be configured to output to a file, and to optionally output a graphviz compatible "dot" graph. This task is used when you execute the dependency list command-line option.

Field Summary

Fields inherited from interface org.gradle.api.Task
`AUTOSKIP_PROPERTY_PREFIX, TASK_ACTION, TASK_DEPENDS_ON, TASK_DESCRIPTION, TASK_NAME, TASK_OVERWRITE, TASK_TYPE`

Constructor Summary
`DependencyReportTask(Project project, java.lang.String name)`

Method Summary
`void` | `generate(Project project)`
`java.util.Set<Configuration>` | `getConfigurations()` Returns the configurations to use to build a report.
`ProjectReportRenderer` | `getRenderer()`
`void` | `setConfigurations(java.util.Set<Configuration> configurations)` Set the configurations to use to build a report.
`void` | `setRenderer(DependencyReportRenderer renderer)` Set the renderer to use to build a report.

Methods inherited from class org.gradle.api.tasks.diagnostics.AbstractReportTask
`getOutputFile, setOutputFile`

Methods inherited from class org.gradle.api.internal.ConventionTask
`conv, conventionMapping, conventionMapping, conventionProperty, getConventionAwareHelper, getConventionMapping, setConventionAwareHelper, setConventionMapping`

Methods inherited from class org.gradle.api.DefaultTask
`configure, doFirst, doLast, leftShift, methodMissing, propertyMissing, setProperty`

Methods inherited from class org.gradle.api.internal.AbstractTask
`captureStandardOutput, compareTo, defineProperty, deleteAllActions, dependsOn, dependsOnTaskDidWork, disableStandardOutputCapture, doFirst, doLast, equals, execute, getActions, getAdditionalProperties, getAnt, getConvention, getDependsOn, getDescription, getDidWork, getDynamicObjectHelper, getEnabled, getExecuted, getLogger, getName, getPath, getProject, getSkipProperties, getStandardOutputCapture, getTaskDependencies, hashCode, hasProperty, isDidWork, isEnabled, isExecuted, onlyIf, onlyIf, property, setActions, setAdditionalProperties, setDependsOn, setDescription, setDidWork, setEnabled, setExecuted, setName, setProject, setSkipProperties, setStandardOutputCapture, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface groovy.lang.GroovyObject
`getMetaClass, getProperty, invokeMethod, setMetaClass`

Constructor Detail

### DependencyReportTask

    public DependencyReportTask(Project project,
                                java.lang.String name)

Method Detail

### getRenderer

    public ProjectReportRenderer getRenderer()

  Specified by:
    `getRenderer` in class `AbstractReportTask`

### setRenderer

    public void setRenderer(DependencyReportRenderer renderer)

  Set the renderer to use to build a report. If unset, AsciiGraphRenderer will be used.

### generate

    public void generate(Project project)
                  throws java.io.IOException

  Specified by:
    `generate` in class `AbstractReportTask`
  Throws:
    `java.io.IOException`

### getConfigurations

    public java.util.Set<Configuration> getConfigurations()

  Returns the configurations to use to build a report. If unset, all project configurations will be used.

### setConfigurations

    public void setConfigurations(java.util.Set<Configuration> configurations)

  Set the configurations to use to build a report. If unset, all project configurations will be used.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD